> ## Documentation Index
> Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Show an AI Config's targeting

> > For the complete documentation index, see [llms.txt](https://launchdarkly-preview.mintlify.app/llms.txt). For the full documentation snapshot, see [llms-full.txt](https://launchdarkly-preview.mintlify.app/llms-full.txt).

Retrieves a specific AI Config's targeting by its key



## OpenAPI

````yaml /openapi/launchdarkly-api.json get /api/v2/projects/{projectKey}/ai-configs/{configKey}/targeting
openapi: 3.0.3
info:
  title: LaunchDarkly REST API
  description: >
    > For the complete documentation index, see
    https://launchdarkly-preview.mintlify.app/llms.txt.

    > For the full documentation snapshot, see
    https://launchdarkly-preview.mintlify.app/llms-full.txt.


    This is the LaunchDarkly REST API. It lets you build custom integrations,
    automate your workflow, and manage feature flags and other LaunchDarkly
    resources programmatically.


    For authentication, rate limits, pagination, versioning, JSON Patch and
    semantic patches, beta resources, and the full SDK End-of-Life table, read
    the [REST API overview](https://launchdarkly-preview.mintlify.app/api).


    To fetch the complete OpenAPI spec, use [Get OpenAPI
    spec](https://launchdarkly.com/docs/api/other/get-openapi-spec).
  contact:
    name: LaunchDarkly Technical Support Team
    url: https://support.launchdarkly.com
    email: support@launchdarkly.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2.0'
servers:
  - url: https://app.launchdarkly.com
    description: ' Default'
  - url: https://app.launchdarkly.us
    description: ' Federal'
security:
  - ApiKey:
      - read
      - write
tags:
  - name: Access tokens
    description: >-
      The access tokens API allows you to list, create, modify, and delete
      access tokens programmatically.
  - name: Account members
    description: >-
      The account members API allows you to invite new members to an account by
      making a `POST` request to `/api/v2/members`. When you invite a new member
      to an account, an invitation is sent to the email you provided.
  - name: Account usage (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: AI Configs
    description: >-
      The AI Configs API allows you to create, retrieve, and edit AI Configs, AI
      Config variations, and AI model configurations.
  - name: Announcements
    description: >-
      The announcements API lets you create and update a custom announcement
      banner that appears in the LaunchDarkly user interface for everyone in
      your organization.
  - name: Applications (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Approvals
    description: >-
      An account member can request approval on changes to a flag or AI Config's
      targeting or variations, or to a segment's targeting. Members may be
      required to request approval depending on the settings in their
      LaunchDarkly project.
  - name: Approvals (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Audit log
    description: >-
      LaunchDarkly maintains a record of all the changes made to any resource in
      the system. You can access this history using the audit log API, including
      filtering by timestamps, or using a custom policy to select which entries
      to receive.
  - name: Code references
    description: >-
      > ### Code references is an Enterprise feature > > Code references is
      available to customers on an Enterprise plan. To learn more, [read about
      our pricing](https://launchdarkly.com/pricing/).
  - name: Context settings
    description: >-
      You can use the context settings API to assign a context to a specific
      variation for any feature flag. To learn more, read [View and manage
      contexts](https://launchdarkly.com/docs/home/observability/context-attributes#view-and-manage-contexts).
  - name: Contexts
    description: >-
      Contexts are people, services, machines, or other resources that encounter
      feature flags in your product. Contexts are identified by their `kind`,
      which describes the type of resources encountering flags, and by their
      `key`.
  - name: Custom roles
    description: >-
      > ### Custom roles is an Enterprise feature > > Custom roles is available
      to customers on an Enterprise plan. To learn more, [read about our
      pricing](https://launchdarkly.com/pricing/).
  - name: Data Export destinations
    description: >-
      > ### Data Export is an add-on feature > > Data Export is available as an
      add-on for customers on a Foundation or Enterprise plan. To learn more,
      [read about our pricing](https://launchdarkly.com/pricing/).
  - name: Environments
    description: >-
      Environments allow you to maintain separate rollout rules in different
      contexts, from local development to QA, staging, and production. With the
      LaunchDarkly Environments API, you can programmatically list, create, and
      manage environments.
  - name: Experiments
    description: >-
      > ### Available for subscription customers > > Experimentation is
      available to all customers on a Developer, Foundation, or Enterprise
      subscription. If you're on an older Pro or Enterprise plan,
      Experimentation is available as an add-on.
  - name: Feature flags
    description: >-
      The feature flags API allows you to list, create, and modify feature flags
      and their targeting. For example, you can control percentage rollouts,
      target specific contexts, or even toggle off a feature flag
      programmatically.
  - name: Feature flags (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Flag import configurations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Flag links (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Flag triggers
    description: >-
      > ### Flag triggers is an Enterprise feature > > Flag triggers is
      available to customers on an Enterprise plan. To learn more, [read about
      our pricing](https://launchdarkly.com/pricing/).
  - name: Follow flags
    description: >-
      Follow flags to receive email updates about targeting changes to a flag in
      a project and environment.
  - name: Holdouts (beta)
    description: >-
      > ### Available for customers using Experimentation > > Holdouts are
      available to customers using
      [Experimentation](https://launchdarkly.com/docs/api/experiments).
  - name: Insights charts (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights deployments (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights flag events (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights pull requests (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights repositories (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights scores (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Integration audit log subscriptions
    description: >-
      Audit log integration subscriptions allow you to send audit log events
      hooks to one of dozens of external tools. For example, you can send flag
      change event webhooks to external third party software.
  - name: Integration delivery configurations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Integrations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Layers
    description: >-
      > ### Available for customers using Experimentation > > Layers are
      available to customers using
      [Experimentation](https://launchdarkly.com/docs/api/experiments).
  - name: Metrics
    description: >-
      Metrics track flag behavior over time when an experiment is running. The
      data generated from experiments gives you more insight into the impact of
      a particular flag.
  - name: Metrics (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: OAuth2 Clients
    description: >-
      The OAuth2 client API allows you to register a LaunchDarkly OAuth client
      for use in your own custom integrations.
  - name: Persistent store integrations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Projects
    description: >-
      Projects allow you to manage multiple different software projects under
      one LaunchDarkly account. Each project has its own unique set of
      environments and feature flags.
  - name: Relay Proxy configurations
    description: >-
      > ### Relay Proxy automatic configuration is an Enterprise feature > >
      Relay Proxy automatic configuration is available to customers on an
      Enterprise plan. To learn more, [read about our
      pricing](https://launchdarkly.com/pricing/).
  - name: Release pipelines (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Release policies (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Releases (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Scheduled changes
    description: >-
      > ### Scheduled flag changes is an Enterprise feature > > Scheduled flag
      changes is available to customers on an Enterprise plan. To learn more,
      [read about our pricing](https://launchdarkly.com/pricing/).
  - name: Segments
    description: >-
      > ### Synced segments and larger list-based segments are an Enterprise
      feature > > This section documents endpoints for rule-based, list-based,
      and synced segments.
  - name: Tags
    description: >-
      Tags are simple strings that you can attach to most resources in
      LaunchDarkly. Tags are useful for grouping resources into a set that you
      can name in a resource specifier.
  - name: Teams
    description: >-
      > ### Teams is an Enterprise feature > > Teams is available to customers
      on an Enterprise plan. To learn more, [read about our
      pricing](https://launchdarkly.com/pricing/).
  - name: Teams (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: User settings
    description: >-
      > ### Contexts are now available > > After you have upgraded your
      LaunchDarkly SDK to use contexts instead of users, you should use
      [Contexts](https://launchdarkly.com/docs/api/contexts) instead of the user
      settings API.
  - name: Users
    description: >-
      > ### Contexts are now available > > After you have upgraded your
      LaunchDarkly SDK to use contexts instead of users, you should use
      [Contexts](https://launchdarkly.com/docs/api/contexts) instead of these
      endpoints.
  - name: Users (beta)
    description: >-
      > ### Contexts are now available > > After you have upgraded your
      LaunchDarkly SDK to use contexts instead of users, you should use
      [Contexts](https://launchdarkly.com/docs/api/contexts) instead of these
      endpoints.
  - name: Views (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Webhooks
    description: >-
      The webhooks API lets you build your own integrations that subscribe to
      activities in LaunchDarkly. When you generate an activity in LaunchDarkly,
      such as when you change a flag or you create a project, LaunchDarkly sends
      an HTTP POST payload to the...
  - name: Workflow templates
    description: >-
      > ### Workflows are in maintenance mode > > The workflows feature is in
      maintenance mode, and is planned for future deprecation at a date not yet
      specified.
  - name: Workflows
    description: >-
      > ### Workflows are in maintenance mode > > The workflows feature is in
      maintenance mode, and is planned for future deprecation at a date not yet
      specified.
  - name: Other
    description: Other requests available in the LaunchDarkly API.
paths:
  /api/v2/projects/{projectKey}/ai-configs/{configKey}/targeting:
    get:
      tags:
        - AI Configs
      summary: Show an AI Config's targeting
      description: >-
        > For the complete documentation index, see
        [llms.txt](https://launchdarkly-preview.mintlify.app/llms.txt). For the
        full documentation snapshot, see
        [llms-full.txt](https://launchdarkly-preview.mintlify.app/llms-full.txt).


        Retrieves a specific AI Config's targeting by its key
      operationId: getAIConfigTargeting
      parameters:
        - explode: false
          in: path
          name: projectKey
          required: true
          schema:
            type: string
          style: simple
        - explode: false
          in: path
          name: configKey
          required: true
          schema:
            type: string
          style: simple
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AIConfigTargeting'
          description: Successful response
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error
components:
  schemas:
    AIConfigTargeting:
      example:
        createdAt: 0
        defaults:
          onVariation: 6
          offVariation: 1
        environments:
          key:
            trackEventsFallthrough: true
            _environmentName: _environmentName
            contextTargets:
              - values:
                  - values
                  - values
                contextKind: contextKind
                variation: 5
              - values:
                  - values
                  - values
                contextKind: contextKind
                variation: 5
            rules:
              - clauses:
                  - op: op
                    negate: true
                    values:
                      - ''
                      - ''
                    attribute: attribute
                    id: id
                  - op: op
                    negate: true
                    values:
                      - ''
                      - ''
                    attribute: attribute
                    id: id
                trackEvents: true
              - clauses:
                  - op: op
                    negate: true
                    values:
                      - ''
                      - ''
                    attribute: attribute
                    id: id
                  - op: op
                    negate: true
                    values:
                      - ''
                      - ''
                    attribute: attribute
                    id: id
                trackEvents: true
            lastModified: 2
            trackEvents: true
            fallthrough:
              rollout:
                experimentAllocation:
                  defaultVariation: 2
                  canReshuffle: true
                  type: type
                seed: 7
                variations:
                  - weight: 3
                    _untracked: true
                    variation: 9
                  - weight: 3
                    _untracked: true
                    variation: 9
                contextKind: contextKind
                bucketBy: bucketBy
              variation: 5
            offVariation: 4
            targets:
              - values:
                  - values
                  - values
                contextKind: contextKind
                variation: 5
              - values:
                  - values
                  - values
                contextKind: contextKind
                variation: 5
            _version: 7
            enabled: true
        variations:
          - name: name
            description: description
            _id: _id
            value: null
          - name: name
            description: description
            _id: _id
            value: null
        experiments:
          baselineIdx: 1
          items:
            - metricKey: my-metric
              environments:
                - production
                - test
                - my-environment
              _environmentSettings:
                key:
                  startDate: 4
                  stopDate: 5
                  enabledPeriods:
                    - startDate: 9
                      stopDate: 9
                    - startDate: 9
                      stopDate: 9
              _metric:
                _maintainer:
                  firstName: Ariel
                  lastName: Flores
                  role: admin
                  _links:
                    self:
                      href: /api/v2/members/569f183514f4432160000007
                      type: application/json
                  _id: 569f183514f4432160000007
                  email: ariel@acme.com
                _links:
                  parent:
                    href: /api/v2/metrics/my-project
                    type: application/json
                  self:
                    href: /api/v2/metrics/my-project/my-metric
                    type: application/json
                description: description
                activeExperimentCount: 2
                activeGuardedRolloutCount: 1
                windowEndOffset: 1
                randomizationUnits:
                  - user
                guardedRolloutCount: 0
                archived: true
                urls:
                  - null
                  - null
                _access:
                  allowed:
                    - reason:
                        role_name: role_name
                        notActions:
                          - null
                          - null
                        notResources:
                          - notResources
                          - notResources
                        effect: allow
                        resources:
                          - proj/*:env/*;qa_*:/flag/*
                        actions:
                          - '*'
                      action: action
                    - reason:
                        role_name: role_name
                        notActions:
                          - null
                          - null
                        notResources:
                          - notResources
                          - notResources
                        effect: allow
                        resources:
                          - proj/*:env/*;qa_*:/flag/*
                        actions:
                          - '*'
                      action: action
                  denied:
                    - reason:
                        role_name: role_name
                        notActions:
                          - null
                          - null
                        notResources:
                          - notResources
                          - notResources
                        effect: allow
                        resources:
                          - proj/*:env/*;qa_*:/flag/*
                        actions:
                          - '*'
                      action: action
                    - reason:
                        role_name: role_name
                        notActions:
                          - null
                          - null
                        notResources:
                          - notResources
                          - notResources
                        effect: allow
                        resources:
                          - proj/*:env/*;qa_*:/flag/*
                        actions:
                          - '*'
                      action: action
                _site:
                  href: href
                  type: type
                selector: selector
                _version: 1
                key: metric-key-123abc
                percentileValue: 95
                traceQuery: service.name = "checkout"
                kind: custom
                _attachedFlagCount: 0
                metricGroupCount: 0
                traceValueLocation: duration
                filters:
                  op: op
                  negate: false
                  values:
                    - JP
                  contextKind: user
                  attribute: country
                  type: contextAttribute
                _creationDate: 1
                windowStartOffset: 7
                tags: []
                eventDefault:
                  disabled: true
                  value: 0
                archivedAt: 6
                maintainerId: 569fdeadbeef1644facecafe
                unit: unit
                lastSeen: 1
                successCriteria: HigherThanBaseline
                releasePolicyCount: 0
                _versionId: version-id-123abc
                isNumeric: true
                eventKey: Order placed
                experimentCount: 0
                name: My metric
                _id: 5902deadbeef667524a01290
                lastModified:
                  date: '2021-08-05T19:46:31.148Z'
                unitAggregationType: average
                category: Error monitoring
                analysisType: mean
                dataSource:
                  _name: _name
                  _integrationKey: _integrationKey
                  key: key
                  environmentKey: environmentKey
            - metricKey: my-metric
              environments:
                - production
                - test
                - my-environment
              _environmentSettings:
                key:
                  startDate: 4
                  stopDate: 5
                  enabledPeriods:
                    - startDate: 9
                      stopDate: 9
                    - startDate: 9
                      stopDate: 9
              _metric:
                _maintainer:
                  firstName: Ariel
                  lastName: Flores
                  role: admin
                  _links:
                    self:
                      href: /api/v2/members/569f183514f4432160000007
                      type: application/json
                  _id: 569f183514f4432160000007
                  email: ariel@acme.com
                _links:
                  parent:
                    href: /api/v2/metrics/my-project
                    type: application/json
                  self:
                    href: /api/v2/metrics/my-project/my-metric
                    type: application/json
                description: description
                activeExperimentCount: 2
                activeGuardedRolloutCount: 1
                windowEndOffset: 1
                randomizationUnits:
                  - user
                guardedRolloutCount: 0
                archived: true
                urls:
                  - null
                  - null
                _access:
                  allowed:
                    - reason:
                        role_name: role_name
                        notActions:
                          - null
                          - null
                        notResources:
                          - notResources
                          - notResources
                        effect: allow
                        resources:
                          - proj/*:env/*;qa_*:/flag/*
                        actions:
                          - '*'
                      action: action
                    - reason:
                        role_name: role_name
                        notActions:
                          - null
                          - null
                        notResources:
                          - notResources
                          - notResources
                        effect: allow
                        resources:
                          - proj/*:env/*;qa_*:/flag/*
                        actions:
                          - '*'
                      action: action
                  denied:
                    - reason:
                        role_name: role_name
                        notActions:
                          - null
                          - null
                        notResources:
                          - notResources
                          - notResources
                        effect: allow
                        resources:
                          - proj/*:env/*;qa_*:/flag/*
                        actions:
                          - '*'
                      action: action
                    - reason:
                        role_name: role_name
                        notActions:
                          - null
                          - null
                        notResources:
                          - notResources
                          - notResources
                        effect: allow
                        resources:
                          - proj/*:env/*;qa_*:/flag/*
                        actions:
                          - '*'
                      action: action
                _site:
                  href: href
                  type: type
                selector: selector
                _version: 1
                key: metric-key-123abc
                percentileValue: 95
                traceQuery: service.name = "checkout"
                kind: custom
                _attachedFlagCount: 0
                metricGroupCount: 0
                traceValueLocation: duration
                filters:
                  op: op
                  negate: false
                  values:
                    - JP
                  contextKind: user
                  attribute: country
                  type: contextAttribute
                _creationDate: 1
                windowStartOffset: 7
                tags: []
                eventDefault:
                  disabled: true
                  value: 0
                archivedAt: 6
                maintainerId: 569fdeadbeef1644facecafe
                unit: unit
                lastSeen: 1
                successCriteria: HigherThanBaseline
                releasePolicyCount: 0
                _versionId: version-id-123abc
                isNumeric: true
                eventKey: Order placed
                experimentCount: 0
                name: My metric
                _id: 5902deadbeef667524a01290
                lastModified:
                  date: '2021-08-05T19:46:31.148Z'
                unitAggregationType: average
                category: Error monitoring
                analysisType: mean
                dataSource:
                  _name: _name
                  _integrationKey: _integrationKey
                  key: key
                  environmentKey: environmentKey
        name: name
        _version: 6
        key: key
        tags:
          - tags
          - tags
      properties:
        createdAt:
          description: Unix timestamp in milliseconds
          format: int64
          type: integer
        defaults:
          $ref: '#/components/schemas/AIConfigTargetingDefaults'
        environments:
          additionalProperties:
            $ref: '#/components/schemas/AIConfigTargetingEnvironment'
          type: object
        experiments:
          $ref: '#/components/schemas/AiConfigsExperimentInfoRep'
        key:
          type: string
        name:
          type: string
        tags:
          type: array
          items:
            type: string
        variations:
          items:
            $ref: '#/components/schemas/AIConfigTargetingVariation'
          type: array
        _version:
          type: integer
      required:
        - _version
        - createdAt
        - environments
        - experiments
        - key
        - name
        - tags
        - variations
      type: object
    Error:
      example:
        code: code
        message: message
      properties:
        message:
          type: string
        code:
          type: string
      required:
        - code
        - message
      type: object
    AIConfigTargetingDefaults:
      example:
        onVariation: 6
        offVariation: 1
      properties:
        onVariation:
          type: integer
        offVariation:
          type: integer
      required:
        - offVariation
        - onVariation
    AIConfigTargetingEnvironment:
      example:
        trackEventsFallthrough: true
        _environmentName: _environmentName
        contextTargets:
          - values:
              - values
              - values
            contextKind: contextKind
            variation: 5
          - values:
              - values
              - values
            contextKind: contextKind
            variation: 5
        rules:
          - clauses:
              - op: op
                negate: true
                values:
                  - ''
                  - ''
                attribute: attribute
                id: id
              - op: op
                negate: true
                values:
                  - ''
                  - ''
                attribute: attribute
                id: id
            trackEvents: true
          - clauses:
              - op: op
                negate: true
                values:
                  - ''
                  - ''
                attribute: attribute
                id: id
              - op: op
                negate: true
                values:
                  - ''
                  - ''
                attribute: attribute
                id: id
            trackEvents: true
        lastModified: 2
        trackEvents: true
        fallthrough:
          rollout:
            experimentAllocation:
              defaultVariation: 2
              canReshuffle: true
              type: type
            seed: 7
            variations:
              - weight: 3
                _untracked: true
                variation: 9
              - weight: 3
                _untracked: true
                variation: 9
            contextKind: contextKind
            bucketBy: bucketBy
          variation: 5
        offVariation: 4
        targets:
          - values:
              - values
              - values
            contextKind: contextKind
            variation: 5
          - values:
              - values
              - values
            contextKind: contextKind
            variation: 5
        _version: 7
        enabled: true
      properties:
        contextTargets:
          items:
            $ref: '#/components/schemas/AIConfigTargetingEnvironmentTarget'
          type: array
        enabled:
          type: boolean
        fallthrough:
          $ref: '#/components/schemas/AIConfigTargetingEnvironmentFallthrough'
        lastModified:
          type: integer
          format: int64
        offVariation:
          type: integer
        rules:
          items:
            $ref: '#/components/schemas/AIConfigTargetingEnvironmentRule'
          type: array
        targets:
          items:
            $ref: '#/components/schemas/AIConfigTargetingEnvironmentTarget'
          type: array
        trackEvents:
          type: boolean
        trackEventsFallthrough:
          type: boolean
        _environmentName:
          type: string
        _version:
          type: integer
      required:
        - _environmentName
        - _version
        - contextTargets
        - enabled
        - fallthrough
        - lastModified
        - rules
        - targets
        - trackEvents
        - trackEventsFallthrough
    AiConfigsExperimentInfoRep:
      example:
        baselineIdx: 1
        items:
          - metricKey: my-metric
            environments:
              - production
              - test
              - my-environment
            _environmentSettings:
              key:
                startDate: 4
                stopDate: 5
                enabledPeriods:
                  - startDate: 9
                    stopDate: 9
                  - startDate: 9
                    stopDate: 9
            _metric:
              _maintainer:
                firstName: Ariel
                lastName: Flores
                role: admin
                _links:
                  self:
                    href: /api/v2/members/569f183514f4432160000007
                    type: application/json
                _id: 569f183514f4432160000007
                email: ariel@acme.com
              _links:
                parent:
                  href: /api/v2/metrics/my-project
                  type: application/json
                self:
                  href: /api/v2/metrics/my-project/my-metric
                  type: application/json
              description: description
              activeExperimentCount: 2
              activeGuardedRolloutCount: 1
              windowEndOffset: 1
              randomizationUnits:
                - user
              guardedRolloutCount: 0
              archived: true
              urls:
                - null
                - null
              _access:
                allowed:
                  - reason:
                      role_name: role_name
                      notActions:
                        - null
                        - null
                      notResources:
                        - notResources
                        - notResources
                      effect: allow
                      resources:
                        - proj/*:env/*;qa_*:/flag/*
                      actions:
                        - '*'
                    action: action
                  - reason:
                      role_name: role_name
                      notActions:
                        - null
                        - null
                      notResources:
                        - notResources
                        - notResources
                      effect: allow
                      resources:
                        - proj/*:env/*;qa_*:/flag/*
                      actions:
                        - '*'
                    action: action
                denied:
                  - reason:
                      role_name: role_name
                      notActions:
                        - null
                        - null
                      notResources:
                        - notResources
                        - notResources
                      effect: allow
                      resources:
                        - proj/*:env/*;qa_*:/flag/*
                      actions:
                        - '*'
                    action: action
                  - reason:
                      role_name: role_name
                      notActions:
                        - null
                        - null
                      notResources:
                        - notResources
                        - notResources
                      effect: allow
                      resources:
                        - proj/*:env/*;qa_*:/flag/*
                      actions:
                        - '*'
                    action: action
              _site:
                href: href
                type: type
              selector: selector
              _version: 1
              key: metric-key-123abc
              percentileValue: 95
              traceQuery: service.name = "checkout"
              kind: custom
              _attachedFlagCount: 0
              metricGroupCount: 0
              traceValueLocation: duration
              filters:
                op: op
                negate: false
                values:
                  - JP
                contextKind: user
                attribute: country
                type: contextAttribute
              _creationDate: 1
              windowStartOffset: 7
              tags: []
              eventDefault:
                disabled: true
                value: 0
              archivedAt: 6
              maintainerId: 569fdeadbeef1644facecafe
              unit: unit
              lastSeen: 1
              successCriteria: HigherThanBaseline
              releasePolicyCount: 0
              _versionId: version-id-123abc
              isNumeric: true
              eventKey: Order placed
              experimentCount: 0
              name: My metric
              _id: 5902deadbeef667524a01290
              lastModified:
                date: '2021-08-05T19:46:31.148Z'
              unitAggregationType: average
              category: Error monitoring
              analysisType: mean
              dataSource:
                _name: _name
                _integrationKey: _integrationKey
                key: key
                environmentKey: environmentKey
          - metricKey: my-metric
            environments:
              - production
              - test
              - my-environment
            _environmentSettings:
              key:
                startDate: 4
                stopDate: 5
                enabledPeriods:
                  - startDate: 9
                    stopDate: 9
                  - startDate: 9
                    stopDate: 9
            _metric:
              _maintainer:
                firstName: Ariel
                lastName: Flores
                role: admin
                _links:
                  self:
                    href: /api/v2/members/569f183514f4432160000007
                    type: application/json
                _id: 569f183514f4432160000007
                email: ariel@acme.com
              _links:
                parent:
                  href: /api/v2/metrics/my-project
                  type: application/json
                self:
                  href: /api/v2/metrics/my-project/my-metric
                  type: application/json
              description: description
              activeExperimentCount: 2
              activeGuardedRolloutCount: 1
              windowEndOffset: 1
              randomizationUnits:
                - user
              guardedRolloutCount: 0
              archived: true
              urls:
                - null
                - null
              _access:
                allowed:
                  - reason:
                      role_name: role_name
                      notActions:
                        - null
                        - null
                      notResources:
                        - notResources
                        - notResources
                      effect: allow
                      resources:
                        - proj/*:env/*;qa_*:/flag/*
                      actions:
                        - '*'
                    action: action
                  - reason:
                      role_name: role_name
                      notActions:
                        - null
                        - null
                      notResources:
                        - notResources
                        - notResources
                      effect: allow
                      resources:
                        - proj/*:env/*;qa_*:/flag/*
                      actions:
                        - '*'
                    action: action
                denied:
                  - reason:
                      role_name: role_name
                      notActions:
                        - null
                        - null
                      notResources:
                        - notResources
                        - notResources
                      effect: allow
                      resources:
                        - proj/*:env/*;qa_*:/flag/*
                      actions:
                        - '*'
                    action: action
                  - reason:
                      role_name: role_name
                      notActions:
                        - null
                        - null
                      notResources:
                        - notResources
                        - notResources
                      effect: allow
                      resources:
                        - proj/*:env/*;qa_*:/flag/*
                      actions:
                        - '*'
                    action: action
              _site:
                href: href
                type: type
              selector: selector
              _version: 1
              key: metric-key-123abc
              percentileValue: 95
              traceQuery: service.name = "checkout"
              kind: custom
              _attachedFlagCount: 0
              metricGroupCount: 0
              traceValueLocation: duration
              filters:
                op: op
                negate: false
                values:
                  - JP
                contextKind: user
                attribute: country
                type: contextAttribute
              _creationDate: 1
              windowStartOffset: 7
              tags: []
              eventDefault:
                disabled: true
                value: 0
              archivedAt: 6
              maintainerId: 569fdeadbeef1644facecafe
              unit: unit
              lastSeen: 1
              successCriteria: HigherThanBaseline
              releasePolicyCount: 0
              _versionId: version-id-123abc
              isNumeric: true
              eventKey: Order placed
              experimentCount: 0
              name: My metric
              _id: 5902deadbeef667524a01290
              lastModified:
                date: '2021-08-05T19:46:31.148Z'
              unitAggregationType: average
              category: Error monitoring
              analysisType: mean
              dataSource:
                _name: _name
                _integrationKey: _integrationKey
                key: key
                environmentKey: environmentKey
      properties:
        baselineIdx:
          type: integer
        items:
          items:
            $ref: '#/components/schemas/AiConfigsLegacyExperimentRep'
          type: array
      required:
        - baselineIdx
        - items
      type: object
    AIConfigTargetingVariation:
      example:
        name: name
        description: description
        _id: _id
        value: null
      properties:
        _id:
          type: string
        description:
          type: string
        name:
          type: string
        value:
          $ref: '#/components/schemas/AIConfigTargetingVariation_value'
      required:
        - _id
        - description
        - name
        - value
      type: object
    AIConfigTargetingEnvironmentTarget:
      example:
        values:
          - values
          - values
        contextKind: contextKind
        variation: 5
      properties:
        contextKind:
          type: string
        values:
          type: array
          items:
            type: string
        variation:
          type: integer
      required:
        - contextKind
        - values
        - variation
      type: object
    AIConfigTargetingEnvironmentFallthrough:
      example:
        rollout:
          experimentAllocation:
            defaultVariation: 2
            canReshuffle: true
            type: type
          seed: 7
          variations:
            - weight: 3
              _untracked: true
              variation: 9
            - weight: 3
              _untracked: true
              variation: 9
          contextKind: contextKind
          bucketBy: bucketBy
        variation: 5
      properties:
        variation:
          type: integer
        rollout:
          $ref: '#/components/schemas/AIConfigTargetingEnvironmentFallthroughRollout'
      type: object
    AIConfigTargetingEnvironmentRule:
      example:
        clauses:
          - op: op
            negate: true
            values:
              - ''
              - ''
            attribute: attribute
            id: id
          - op: op
            negate: true
            values:
              - ''
              - ''
            attribute: attribute
            id: id
        trackEvents: true
      properties:
        clauses:
          items:
            $ref: '#/components/schemas/AIConfigTargetingEnvironmentRuleClause'
          type: array
        trackEvents:
          type: boolean
      required:
        - clauses
        - trackEvents
      type: object
    AiConfigsLegacyExperimentRep:
      example:
        metricKey: my-metric
        environments:
          - production
          - test
          - my-environment
        _environmentSettings:
          key:
            startDate: 4
            stopDate: 5
            enabledPeriods:
              - startDate: 9
                stopDate: 9
              - startDate: 9
                stopDate: 9
        _metric:
          _maintainer:
            firstName: Ariel
            lastName: Flores
            role: admin
            _links:
              self:
                href: /api/v2/members/569f183514f4432160000007
                type: application/json
            _id: 569f183514f4432160000007
            email: ariel@acme.com
          _links:
            parent:
              href: /api/v2/metrics/my-project
              type: application/json
            self:
              href: /api/v2/metrics/my-project/my-metric
              type: application/json
          description: description
          activeExperimentCount: 2
          activeGuardedRolloutCount: 1
          windowEndOffset: 1
          randomizationUnits:
            - user
          guardedRolloutCount: 0
          archived: true
          urls:
            - null
            - null
          _access:
            allowed:
              - reason:
                  role_name: role_name
                  notActions:
                    - null
                    - null
                  notResources:
                    - notResources
                    - notResources
                  effect: allow
                  resources:
                    - proj/*:env/*;qa_*:/flag/*
                  actions:
                    - '*'
                action: action
              - reason:
                  role_name: role_name
                  notActions:
                    - null
                    - null
                  notResources:
                    - notResources
                    - notResources
                  effect: allow
                  resources:
                    - proj/*:env/*;qa_*:/flag/*
                  actions:
                    - '*'
                action: action
            denied:
              - reason:
                  role_name: role_name
                  notActions:
                    - null
                    - null
                  notResources:
                    - notResources
                    - notResources
                  effect: allow
                  resources:
                    - proj/*:env/*;qa_*:/flag/*
                  actions:
                    - '*'
                action: action
              - reason:
                  role_name: role_name
                  notActions:
                    - null
                    - null
                  notResources:
                    - notResources
                    - notResources
                  effect: allow
                  resources:
                    - proj/*:env/*;qa_*:/flag/*
                  actions:
                    - '*'
                action: action
          _site:
            href: href
            type: type
          selector: selector
          _version: 1
          key: metric-key-123abc
          percentileValue: 95
          traceQuery: service.name = "checkout"
          kind: custom
          _attachedFlagCount: 0
          metricGroupCount: 0
          traceValueLocation: duration
          filters:
            op: op
            negate: false
            values:
              - JP
            contextKind: user
            attribute: country
            type: contextAttribute
          _creationDate: 1
          windowStartOffset: 7
          tags: []
          eventDefault:
            disabled: true
            value: 0
          archivedAt: 6
          maintainerId: 569fdeadbeef1644facecafe
          unit: unit
          lastSeen: 1
          successCriteria: HigherThanBaseline
          releasePolicyCount: 0
          _versionId: version-id-123abc
          isNumeric: true
          eventKey: Order placed
          experimentCount: 0
          name: My metric
          _id: 5902deadbeef667524a01290
          lastModified:
            date: '2021-08-05T19:46:31.148Z'
          unitAggregationType: average
          category: Error monitoring
          analysisType: mean
          dataSource:
            _name: _name
            _integrationKey: _integrationKey
            key: key
            environmentKey: environmentKey
      properties:
        metricKey:
          type: string
          example: my-metric
        _metric:
          $ref: '#/components/schemas/AiConfigsMetricListingRep'
        environments:
          type: array
          items:
            type: string
          example:
            - production
            - test
            - my-environment
        _environmentSettings:
          additionalProperties:
            $ref: '#/components/schemas/AiConfigsExperimentEnvironmentSettingRep'
          type: object
      type: object
    AIConfigTargetingVariation_value:
      oneOf:
        - $ref: '#/components/schemas/AIConfigTargetingVariationBoolean'
        - $ref: '#/components/schemas/AIConfigTargetingVariationJSON'
        - $ref: '#/components/schemas/AIConfigTargetingVariationNumber'
        - $ref: '#/components/schemas/AIConfigTargetingVariationString'
    AIConfigTargetingEnvironmentFallthroughRollout:
      example:
        experimentAllocation:
          defaultVariation: 2
          canReshuffle: true
          type: type
        seed: 7
        variations:
          - weight: 3
            _untracked: true
            variation: 9
          - weight: 3
            _untracked: true
            variation: 9
        contextKind: contextKind
        bucketBy: bucketBy
      properties:
        bucketBy:
          type: string
        contextKind:
          type: string
        experimentAllocation:
          $ref: >-
            #/components/schemas/AIConfigTargetingEnvironmentFallthroughRolloutExperimentationAllocation
        seed:
          type: integer
        variations:
          items:
            $ref: >-
              #/components/schemas/AIConfigTargetingEnvironmentFallthroughRolloutVariation
          type: array
      required:
        - contextKind
        - variations
      type: object
    AIConfigTargetingEnvironmentRuleClause:
      example:
        op: op
        negate: true
        values:
          - ''
          - ''
        attribute: attribute
        id: id
      properties:
        attribute:
          type: string
        id:
          type: string
        negate:
          type: boolean
        op:
          type: string
        values:
          type: array
          items: {}
      required:
        - attribute
        - id
        - negate
        - op
        - values
      type: object
    AiConfigsMetricListingRep:
      example:
        _maintainer:
          firstName: Ariel
          lastName: Flores
          role: admin
          _links:
            self:
              href: /api/v2/members/569f183514f4432160000007
              type: application/json
          _id: 569f183514f4432160000007
          email: ariel@acme.com
        _links:
          parent:
            href: /api/v2/metrics/my-project
            type: application/json
          self:
            href: /api/v2/metrics/my-project/my-metric
            type: application/json
        description: description
        activeExperimentCount: 2
        activeGuardedRolloutCount: 1
        windowEndOffset: 1
        randomizationUnits:
          - user
        guardedRolloutCount: 0
        archived: true
        urls:
          - null
          - null
        _access:
          allowed:
            - reason:
                role_name: role_name
                notActions:
                  - null
                  - null
                notResources:
                  - notResources
                  - notResources
                effect: allow
                resources:
                  - proj/*:env/*;qa_*:/flag/*
                actions:
                  - '*'
              action: action
            - reason:
                role_name: role_name
                notActions:
                  - null
                  - null
                notResources:
                  - notResources
                  - notResources
                effect: allow
                resources:
                  - proj/*:env/*;qa_*:/flag/*
                actions:
                  - '*'
              action: action
          denied:
            - reason:
                role_name: role_name
                notActions:
                  - null
                  - null
                notResources:
                  - notResources
                  - notResources
                effect: allow
                resources:
                  - proj/*:env/*;qa_*:/flag/*
                actions:
                  - '*'
              action: action
            - reason:
                role_name: role_name
                notActions:
                  - null
                  - null
                notResources:
                  - notResources
                  - notResources
                effect: allow
                resources:
                  - proj/*:env/*;qa_*:/flag/*
                actions:
                  - '*'
              action: action
        _site:
          href: href
          type: type
        selector: selector
        _version: 1
        key: metric-key-123abc
        percentileValue: 95
        traceQuery: service.name = "checkout"
        kind: custom
        _attachedFlagCount: 0
        metricGroupCount: 0
        traceValueLocation: duration
        filters:
          op: op
          negate: false
          values:
            - JP
          contextKind: user
          attribute: country
          type: contextAttribute
        _creationDate: 1
        windowStartOffset: 7
        tags: []
        eventDefault:
          disabled: true
          value: 0
        archivedAt: 6
        maintainerId: 569fdeadbeef1644facecafe
        unit: unit
        lastSeen: 1
        successCriteria: HigherThanBaseline
        releasePolicyCount: 0
        _versionId: version-id-123abc
        isNumeric: true
        eventKey: Order placed
        experimentCount: 0
        name: My metric
        _id: 5902deadbeef667524a01290
        lastModified:
          date: '2021-08-05T19:46:31.148Z'
        unitAggregationType: average
        category: Error monitoring
        analysisType: mean
        dataSource:
          _name: _name
          _integrationKey: _integrationKey
          key: key
          environmentKey: environmentKey
      properties:
        experimentCount:
          type: integer
          description: The number of experiments using this metric
          example: 0
        metricGroupCount:
          type: integer
          description: The number of metric groups using this metric
          example: 0
        guardedRolloutCount:
          description: The number of guarded rollouts using this metric
          example: 0
          type: integer
        releasePolicyCount:
          description: The number of release policies using this metric
          example: 0
          type: integer
        activeExperimentCount:
          type: integer
          description: The number of active experiments using this metric
          example: 2
        activeGuardedRolloutCount:
          type: integer
          description: The number of active guarded rollouts using this metric
          example: 1
        _id:
          type: string
          description: The ID of this metric
          example: 5902deadbeef667524a01290
        _versionId:
          type: string
          description: The version ID of the metric
          example: version-id-123abc
        _version:
          type: integer
          description: Version of the metric
          example: 1
        key:
          type: string
          description: A unique key to reference the metric
          example: metric-key-123abc
        name:
          type: string
          description: A human-friendly name for the metric
          example: My metric
        kind:
          type: string
          description: The kind of event the metric tracks
          example: custom
          enum:
            - pageview
            - click
            - custom
            - trace
        _attachedFlagCount:
          type: integer
          description: The number of feature flags currently attached to this metric
          example: 0
        _links:
          additionalProperties:
            $ref: '#/components/schemas/AiConfigsLink'
          description: The location and content type of related resources
          example:
            parent:
              href: /api/v2/metrics/my-project
              type: application/json
            self:
              href: /api/v2/metrics/my-project/my-metric
              type: application/json
          type: object
        _site:
          $ref: '#/components/schemas/AiConfigsLink'
        _access:
          $ref: '#/components/schemas/AiConfigsAccess'
        tags:
          type: array
          description: Tags for the metric
          items:
            type: string
          example: []
        _creationDate:
          type: integer
          format: int64
        lastModified:
          $ref: '#/components/schemas/AiConfigsModification'
        maintainerId:
          type: string
          description: The ID of the member who maintains this metric
          example: 569fdeadbeef1644facecafe
        _maintainer:
          $ref: '#/components/schemas/AiConfigsMemberSummary'
        description:
          type: string
          description: Description of the metric
        category:
          type: string
          description: The category of the metric
          example: Error monitoring
        isNumeric:
          type: boolean
          description: >-
            For custom and trace metrics, whether to track numeric changes in
            value against a baseline (<code>true</code>) or to track a
            conversion when an end user takes an action (<code>false</code>).
          example: true
        successCriteria:
          type: string
          description: For custom and trace metrics, the success criteria
          enum:
            - HigherThanBaseline
            - LowerThanBaseline
        unit:
          type: string
          description: For numeric custom and trace metrics, the unit of measure
        eventKey:
          type: string
          description: For custom metrics, the event key to use in your code
          example: Order placed
        randomizationUnits:
          type: array
          description: An array of randomization units allowed for this metric
          items:
            type: string
          example:
            - user
        filters:
          $ref: '#/components/schemas/AiConfigsFilter'
        unitAggregationType:
          type: string
          description: The method by which multiple unit event values are aggregated
          example: average
          enum:
            - average
            - sum
        analysisType:
          type: string
          description: The method for analyzing metric events
          example: mean
          enum:
            - mean
            - percentile
        percentileValue:
          type: integer
          description: >-
            The percentile for the analysis method. An integer denoting the
            target percentile between 0 and 100. Required when
            <code>analysisType</code> is <code>percentile</code>.
          example: 95
        eventDefault:
          $ref: '#/components/schemas/AiConfigsMetricEventDefaultRep'
        dataSource:
          $ref: '#/components/schemas/AiConfigsMetricDataSourceRefRep'
        lastSeen:
          type: integer
          format: int64
        archived:
          type: boolean
          description: Whether the metric version is archived
        archivedAt:
          type: integer
          format: int64
        selector:
          type: string
          description: For click metrics, the CSS selectors
        urls:
          items:
            $ref: '#/components/schemas/UrlMatcher'
          type: array
        windowStartOffset:
          type: integer
          format: int64
          description: >-
            Not yet implemented - The start of the measurement window, in
            milliseconds relative to the unit's first exposure to a flag
            variation
        windowEndOffset:
          type: integer
          format: int64
          description: >-
            Not yet implemented - The end of the measurement window, in
            milliseconds relative to the unit's first exposure to a flag
            variation
        traceQuery:
          type: string
          description: For trace metrics, the trace query to use for the metric.
          example: service.name = "checkout"
        traceValueLocation:
          type: string
          description: >-
            For trace metrics, the location in the trace to use for numeric
            values.
          example: duration
      required:
        - _creationDate
        - _id
        - _links
        - _versionId
        - dataSource
        - key
        - kind
        - name
        - tags
      type: object
    AiConfigsExperimentEnvironmentSettingRep:
      example:
        startDate: 4
        stopDate: 5
        enabledPeriods:
          - startDate: 9
            stopDate: 9
          - startDate: 9
            stopDate: 9
      properties:
        startDate:
          type: integer
          format: int64
        stopDate:
          type: integer
          format: int64
        enabledPeriods:
          items:
            $ref: '#/components/schemas/AiConfigsExperimentEnabledPeriodRep'
          type: array
      type: object
    AIConfigTargetingVariationBoolean:
      type: boolean
    AIConfigTargetingVariationJSON:
      type: object
    AIConfigTargetingVariationNumber:
      type: number
    AIConfigTargetingVariationString:
      type: string
    AIConfigTargetingEnvironmentFallthroughRolloutExperimentationAllocation:
      example:
        defaultVariation: 2
        canReshuffle: true
        type: type
      properties:
        canReshuffle:
          type: boolean
        defaultVariation:
          type: integer
        type:
          type: string
      required:
        - canReshuffle
        - defaultVariation
        - type
      type: object
    AIConfigTargetingEnvironmentFallthroughRolloutVariation:
      example:
        weight: 3
        _untracked: true
        variation: 9
      properties:
        _untracked:
          type: boolean
        variation:
          type: integer
        weight:
          type: integer
      required:
        - variation
        - weight
      type: object
    AiConfigsLink:
      example:
        href: href
        type: type
      properties:
        href:
          type: string
        type:
          type: string
      type: object
    AiConfigsAccess:
      example:
        allowed:
          - reason:
              role_name: role_name
              notActions:
                - null
                - null
              notResources:
                - notResources
                - notResources
              effect: allow
              resources:
                - proj/*:env/*;qa_*:/flag/*
              actions:
                - '*'
            action: action
          - reason:
              role_name: role_name
              notActions:
                - null
                - null
              notResources:
                - notResources
                - notResources
              effect: allow
              resources:
                - proj/*:env/*;qa_*:/flag/*
              actions:
                - '*'
            action: action
        denied:
          - reason:
              role_name: role_name
              notActions:
                - null
                - null
              notResources:
                - notResources
                - notResources
              effect: allow
              resources:
                - proj/*:env/*;qa_*:/flag/*
              actions:
                - '*'
            action: action
          - reason:
              role_name: role_name
              notActions:
                - null
                - null
              notResources:
                - notResources
                - notResources
              effect: allow
              resources:
                - proj/*:env/*;qa_*:/flag/*
              actions:
                - '*'
            action: action
      properties:
        denied:
          items:
            $ref: '#/components/schemas/AiConfigsAccessDenied'
          type: array
        allowed:
          items:
            $ref: '#/components/schemas/AiConfigsAccessAllowedRep'
          type: array
      required:
        - allowed
        - denied
      type: object
    AiConfigsModification:
      example:
        date: '2021-08-05T19:46:31.148Z'
      properties:
        date:
          example: '2021-08-05T19:46:31.148Z'
          format: date-time
          type: string
      type: object
    AiConfigsMemberSummary:
      example:
        firstName: Ariel
        lastName: Flores
        role: admin
        _links:
          self:
            href: /api/v2/members/569f183514f4432160000007
            type: application/json
        _id: 569f183514f4432160000007
        email: ariel@acme.com
      properties:
        _links:
          additionalProperties:
            $ref: '#/components/schemas/AiConfigsLink'
          description: The location and content type of related resources
          example:
            self:
              href: /api/v2/members/569f183514f4432160000007
              type: application/json
          type: object
        _id:
          type: string
          description: The member's ID
          example: 569f183514f4432160000007
        firstName:
          type: string
          description: The member's first name
          example: Ariel
        lastName:
          type: string
          description: The member's last name
          example: Flores
        role:
          type: string
          description: >-
            The member's base role. If the member has no additional roles, this
            role will be in effect.
          example: admin
        email:
          type: string
          description: The member's email address
          example: ariel@acme.com
      required:
        - _id
        - _links
        - email
        - role
      type: object
    AiConfigsFilter:
      example:
        op: op
        negate: false
        values:
          - JP
        contextKind: user
        attribute: country
        type: contextAttribute
      properties:
        type:
          type: string
          description: Filter type. One of [contextAttribute, eventProperty, group]
          example: contextAttribute
          enum:
            - group
            - contextAttribute
            - eventProperty
        attribute:
          type: string
          description: >-
            If not a group node, the context attribute name or event property
            name to filter on
          example: country
        op:
          type: string
        values:
          type: array
          description: The context attribute / event property values or group member nodes
          items: {}
          example:
            - JP
        contextKind:
          type: string
          description: For context attribute filters, the context kind.
          example: user
        negate:
          type: boolean
          description: >-
            If set, then take the inverse of the operator. 'in' becomes 'not
            in'.
          example: false
      required:
        - negate
        - op
        - type
        - values
      type: object
    AiConfigsMetricEventDefaultRep:
      example:
        disabled: true
        value: 0
      properties:
        disabled:
          type: boolean
          description: >-
            Whether to disable defaulting missing unit events when calculating
            results. Defaults to false
        value:
          type: number
          description: >-
            The default value applied to missing unit events. Set to 0 when
            <code>disabled</code> is false. No other values are currently
            supported.
          example: 0
      type: object
    AiConfigsMetricDataSourceRefRep:
      example:
        _name: _name
        _integrationKey: _integrationKey
        key: key
        environmentKey: environmentKey
      properties:
        key:
          type: string
        environmentKey:
          type: string
        _name:
          type: string
        _integrationKey:
          type: string
      required:
        - key
      type: object
    UrlMatcher:
      type: object
      additionalProperties: {}
    AiConfigsExperimentEnabledPeriodRep:
      example:
        startDate: 9
        stopDate: 9
      properties:
        startDate:
          type: integer
          format: int64
        stopDate:
          type: integer
          format: int64
      type: object
    AiConfigsAccessDenied:
      example:
        reason:
          role_name: role_name
          notActions:
            - null
            - null
          notResources:
            - notResources
            - notResources
          effect: allow
          resources:
            - proj/*:env/*;qa_*:/flag/*
          actions:
            - '*'
        action: action
      properties:
        action:
          type: string
        reason:
          $ref: '#/components/schemas/AiConfigsAccessDeniedReason'
      required:
        - action
        - reason
      type: object
    AiConfigsAccessAllowedRep:
      example:
        reason:
          role_name: role_name
          notActions:
            - null
            - null
          notResources:
            - notResources
            - notResources
          effect: allow
          resources:
            - proj/*:env/*;qa_*:/flag/*
          actions:
            - '*'
        action: action
      properties:
        action:
          type: string
        reason:
          $ref: '#/components/schemas/AiConfigsAccessAllowedReason'
      required:
        - action
        - reason
      type: object
    AiConfigsAccessDeniedReason:
      example:
        role_name: role_name
        notActions:
          - null
          - null
        notResources:
          - notResources
          - notResources
        effect: allow
        resources:
          - proj/*:env/*;qa_*:/flag/*
        actions:
          - '*'
      properties:
        resources:
          type: array
          description: Resource specifier strings
          items:
            type: string
          example:
            - proj/*:env/*;qa_*:/flag/*
        notResources:
          type: array
          description: >-
            Targeted resources are the resources NOT in this list. The
            <code>resources</code> and <code>notActions</code> fields must be
            empty to use this field.
          items:
            type: string
        actions:
          type: array
          description: Actions to perform on a resource
          items:
            $ref: '#/components/schemas/ActionSpecifier'
          example:
            - '*'
        notActions:
          type: array
          description: >-
            Targeted actions are the actions NOT in this list. The
            <code>actions</code> and <code>notResources</code> fields must be
            empty to use this field.
          items:
            $ref: '#/components/schemas/ActionSpecifier'
        effect:
          type: string
          description: >-
            Whether this statement should allow or deny actions on the
            resources.
          example: allow
          enum:
            - allow
            - deny
        role_name:
          type: string
      required:
        - effect
      type: object
    AiConfigsAccessAllowedReason:
      example:
        role_name: role_name
        notActions:
          - null
          - null
        notResources:
          - notResources
          - notResources
        effect: allow
        resources:
          - proj/*:env/*;qa_*:/flag/*
        actions:
          - '*'
      properties:
        resources:
          type: array
          description: Resource specifier strings
          items:
            type: string
          example:
            - proj/*:env/*;qa_*:/flag/*
        notResources:
          type: array
          description: >-
            Targeted resources are the resources NOT in this list. The
            <code>resources</code> and <code>notActions</code> fields must be
            empty to use this field.
          items:
            type: string
        actions:
          type: array
          description: Actions to perform on a resource
          items:
            $ref: '#/components/schemas/ActionSpecifier'
          example:
            - '*'
        notActions:
          type: array
          description: >-
            Targeted actions are the actions NOT in this list. The
            <code>actions</code> and <code>notResources</code> fields must be
            empty to use this field.
          items:
            $ref: '#/components/schemas/ActionSpecifier'
        effect:
          type: string
          description: >-
            Whether this statement should allow or deny actions on the
            resources.
          example: allow
          enum:
            - allow
            - deny
        role_name:
          type: string
      required:
        - effect
      type: object
    ActionSpecifier:
      type: string
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Authorization

````